This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1285880 - [abrt] cinnamon: cinnamon-slideshow.py:134:ensure_file_is_image:TypeError: cannot concatenate 'str' and 'NoneType' objects
[abrt] cinnamon: cinnamon-slideshow.py:134:ensure_file_is_image:TypeError: ca...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cinnamon (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:123c72bf0ec2807fd5d139e9186...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 15:35 EST by Patrick C. F. Ernzer
Modified: 2016-12-20 11:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:19:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.43 KB, text/plain)
2015-11-26 15:35 EST, Patrick C. F. Ernzer
no flags Details
File: environ (1.03 KB, text/plain)
2015-11-26 15:35 EST, Patrick C. F. Ernzer
no flags Details

  None (edit)
Description Patrick C. F. Ernzer 2015-11-26 15:35:22 EST
Description of problem:
this happened with a homedir of a F22 install (restoed from backup) used on F23.

I'll try to clean manually now, but seeing Bug 1228963 (F21), I figured I'd send off the ABRT report.

Version-Release number of selected component:
cinnamon-2.8.3-2.fc23

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python2 /usr/share/cinnamon/cinnamon-slideshow/cinnamon-slideshow.py
executable:     /usr/share/cinnamon/cinnamon-slideshow/cinnamon-slideshow.py
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
cinnamon-slideshow.py:134:ensure_file_is_image:TypeError: cannot concatenate 'str' and 'NoneType' objects

Traceback (most recent call last):
  File "/usr/share/cinnamon/cinnamon-slideshow/cinnamon-slideshow.py", line 124, in on_next_file_complete
    self.ensure_file_is_image(file_list)
  File "/usr/share/cinnamon/cinnamon-slideshow/cinnamon-slideshow.py", line 134, in ensure_file_is_image
    self.add_image_to_playlist(self.collection_path + "/" + item.get_name())
TypeError: cannot concatenate 'str' and 'NoneType' objects

Local variables in innermost frame:
file_type: <enum G_FILE_TYPE_REGULAR of type GFileType>
item: <FileInfo object at 0x7f5074a204b0 (GFileInfo at 0x7f5068007c60)>
file_contents: 'image/jpeg'
self: <__main__.CinnamonSlideshow at /org/Cinnamon/Slideshow at 0x7f5076b170d0>
file_list: [<FileInfo object at 0x7f5074a204b0 (GFileInfo at 0x7f5068007c60)>, <FileInfo object at 0x7f5074a20550 (GFileInfo at 0x7f5068007cc0)>, <FileInfo object at 0x7f5074a205a0 (GFileInfo at 0x7f5068007d20)>, <FileInfo object at 0x7f5074a205f0 (GFileInfo at 0x7f5068007d80)>, <FileInfo object at 0x7f5074a20640 (GFileInfo at 0x7f5068007e40)>, <FileInfo object at 0x7f5074a20690 (GFileInfo at 0x7f5068007ea0)>, <FileInfo object at 0x7f5074a206e0 (GFileInfo at 0x7f5068007f00)>, <FileInfo object at 0x7f5074a20730 (GFileInfo at 0x7f5068007f60)>, <FileInfo object at 0x7f5074a20780 (GFileInfo at 0x7f5068008000)>, <FileInfo object at 0x7f5074a207d0 (GFileInfo at 0x7f5068008030)>, <FileInfo object at 0x7f5074a20820 (GFileInfo at 0x7f5068008090)>, <FileInfo object at 0x7f5074a20870 (GFileInfo at 0x7f50680080f0)>, <FileInfo object at 0x7f5074a208c0 (GFileInfo at 0x7f5068008150)>, <FileInfo object at 0x7f5074a20910 (GFileInfo at 0x7f5068008210)>, <FileInfo object at 0x7f5074a20960 (GFileInfo at 0x7f5068008270)>, <FileInfo object at 0x7f5074a209b0 (GFileInfo at 0x7f50680082d0)>, <FileInfo object at 0x7f5074a20a00 (GFileInfo at 0x7f5068008330)>, <FileInfo object at 0x7f5074a20a50 (GFileInfo at 0x7f5068008390)>, <FileInfo object at 0x7f5074a20aa0 (GFileInfo at 0x7f5068008630)>, <FileInfo object at 0x7f5074a20af0 (GFileInfo at 0x7f5068008690)>, <FileInfo object at 0x7f5074a20b40 (GFileInfo at 0x7f50680086f0)>, <FileInfo object at 0x7f5074a20b90 (GFileInfo at 0x7f5068008750)>, <FileInfo object at 0x7f5074a20be0 (GFileInfo at 0x7f5068008810)>, <FileInfo object at 0x7f5074a20c30 (GFileInfo at 0x7f5068008870)>, <FileInfo object at 0x7f5074a20c80 (GFileInfo at 0x7f50680088d0)>]

Potential duplicate: bug 1228963
Comment 1 Patrick C. F. Ernzer 2015-11-26 15:35:28 EST
Created attachment 1099430 [details]
File: backtrace
Comment 2 Patrick C. F. Ernzer 2015-11-26 15:35:30 EST
Created attachment 1099431 [details]
File: environ
Comment 3 Patrick C. F. Ernzer 2015-11-26 15:37:12 EST
There is the upstream bug https://github.com/linuxmint/Cinnamon/issues/4280 for F21
Comment 4 greg.s.stlouis 2016-02-21 17:17:24 EST
I found the issue. item.get_name() is returning None, which is causing the exception. This is because the enumerate_children_async call on line 103 is only requesting the type and content-type fields. Add standard::type to the list of requested fields and that fixes the issue.


--- /usr/share/cinnamon/cinnamon-slideshow/cinnamon-slideshow.py.orig	2016-02-21 16:03:26.812873506 -0600
+++ /usr/share/cinnamon/cinnamon-slideshow/cinnamon-slideshow.py	2016-02-21 16:01:33.196094974 -0600
@@ -100,7 +100,7 @@
             folder_at_path = Gio.file_new_for_path(self.collection_path)
 
             if folder_at_path.query_exists(None):
-                folder_at_path.enumerate_children_async("standard::type,standard::content-type",
+                folder_at_path.enumerate_children_async("standard::name,standard::type,standard::content-type",
                                                         Gio.FileQueryInfoFlags.NONE,
                                                         GLib.PRIORITY_LOW,
                                                         None,
Comment 5 Fedora End Of Life 2016-11-24 08:46:05 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 11:19:47 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.